Bonjour, j'espere que vous allez bien, suis face a un probleme du a l'installation de AdonisJs 5 sur l'OS Windows 10 depuis la version 5 du framework j'arrive pas a installer le projet, qu'avec npm ou avec yarn je rencontre le meme probleme

8 réponses


C'est quoi tes version de node et npm?

Bonjour.
Pourquoi créer deux fois le même sujet avec deux comptes différents en plus ?

Salut, est ce que la version de npm est compatible avec l'OS?
je me demande si je peux partager un lien pour que te guider à résoudre ton souci.

scott
Auteur

we tout est normal node version 14. et npm v 6.

Mmmh alors version 14 c'est tout juste la limite
AdonisJS5 demande à avoir au moins la toute dernière release de la version 14 (Node. version 14.18.1)

Passes en version 16 avec npm v7 (ou à la dernière release de node 14, mais autant se mettre à jour :p)
La version 17 est dispo mais elle n'est pas encore stable

scott
Auteur

d'accord je veux essaye de la faire tout de suite au fait je voudrai savoir si le nom d'utilisateur avec espace PC peut aussi avoir un impact nefaste sur l'iniatialisation des applications nodejs parce que nuxt, react, next ou adonis cause le meme soucie

Aucun soucis au niveau des expaces, c'est parsé de façon cachée donc toi tu vois un espace mais du point de vue de ta machine il n'y a pas d'espace ;)

Pour nextjs c'est bizarre :/
Pour nuxt et react il te faut la dernière version LTS de nodeJS (16) ou alors il faut que tu précise dans ta commande que tu veux une ancienne version de nuxt ou react (enfin je pense que c'est automatique, je ne sais pas, je met toujours mon node et npm à jour donc pas vérifié si le pc detecte automatiquement la version de node en installant nuxt ou react)

scott
Auteur

D'accord, j'essaie de mettre a jours la version de node